Bug 130001 - [PATCH] devel/py-zopeInterface: update to 3.5.0 and update py-twisted-*
Summary: [PATCH] devel/py-zopeInterface: update to 3.5.0 and update py-twisted-*
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Li-Wen Hsu
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-12-28 20:50 UTC by Li-Wen Hsu
Modified: 2009-01-31 10:00 UTC (History)
1 user (show)

See Also:


Attachments
py25-zopeInterface-3.5.0.patch (1.59 KB, patch)
2008-12-28 20:50 UTC, Li-Wen Hsu
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Li-Wen Hsu freebsd_committer 2008-12-28 20:50:01 UTC
- Update to 3.5.0

And also, please see http://people.freebsd.org/~lwhsu/twisted_20081222.diff
for the update of twisted-* ports.  This patch file contains:

- Update py-twisted-* to 8.1.0
- turn devel/py-twisted into a meta port.
- Update USE_TWISTED{,_BUILD,_RUN} in bsd.python.mk:
  * Remove flow, pair, xish, which are deprecated
  * Remove USE_TWISTED=13
  * Fix typos in twisted components _DEPENDS

Port maintainer (neal@nelson.name) is cc'd.

Generated with FreeBSD Port Tools 0.77
Comment 1 Edwin Groothuis freebsd_committer 2008-12-28 20:50:13 UTC
Responsible Changed
From-To: freebsd-ports-bugs->freebsd-python

freebsd-python@ wants this port PRs (via the GNATS Auto Assign Tool)
Comment 2 Edwin Groothuis freebsd_committer 2008-12-28 20:50:15 UTC
Maintainer of devel/py-zopeInterface,

Please note that PR ports/130001 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/130001

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 3 Edwin Groothuis freebsd_committer 2008-12-28 20:50:17 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 4 Li-Wen Hsu freebsd_committer 2008-12-28 21:21:22 UTC
Responsible Changed
From-To: freebsd-python->lwhsu

I'll take it.
Comment 5 wenheping 2009-01-07 00:24:21 UTC
py-twisted 8.2.0 released just now.

wen
Comment 6 Li-Wen Hsu freebsd_committer 2009-01-07 09:26:27 UTC
Thanks for the notification, here is the newest patch:

http://people.freebsd.org/~lwhsu/twisted_20081230.diff

Though it did not be fully tested.

On Wed, Jan 07, 2009 at 08:24:21 +0800, wen heping wrote:
> py-twisted 8.2.0 released just now.
> 
> wen

-- 
Li-Wen Hsu <lwhsu AT FreeBSD.org>
http://lwhsu.org
Comment 7 dfilter service freebsd_committer 2009-01-31 09:53:20 UTC
lwhsu       2009-01-31 09:53:11 UTC

  FreeBSD ports repository

  Modified files:
    Mk                   bsd.python.mk 
    devel/py-twisted     Makefile distinfo pkg-plist 
    devel/py-twistedCore Makefile distinfo pkg-plist 
    devel/py-twistedFlow Makefile distinfo pkg-plist 
    devel/py-twistedRunner Makefile distinfo pkg-plist 
    dns/py-twistedNames  Makefile distinfo pkg-plist 
    mail/py-twistedMail  Makefile distinfo pkg-plist 
    net/py-twistedPair   Makefile distinfo pkg-plist 
    net-im/py-twistedWords Makefile distinfo pkg-plist 
    news/py-twistedNews  Makefile distinfo 
    security/py-twistedConch Makefile distinfo pkg-plist 
    textproc/py-twistedLore Makefile distinfo pkg-plist 
    www/py-twistedWeb    Makefile distinfo pkg-plist 
    www/py-twistedWeb2   Makefile distinfo pkg-plist 
  Log:
  - Update py-twisted-* to 8.2.0
  - turn devel/py-twisted into a meta port.
  - Update USE_TWISTED{,_BUILD,_RUN} in bsd.python.mk:
    * Remove flow, pair, xish, which are deprecated
      (but still update them to latest release in the tree)
    * Remove USE_TWISTED=13 (no port uses this)
    * Fix typos in twisted components _DEPENDS
  
  PR:             ports/130001
  Submitted by:   lwhsu
  Approved by:    maintainer timeout
  
  Revision  Changes    Path
  1.109     +12 -23    ports/Mk/bsd.python.mk
  1.36      +69 -26    ports/devel/py-twisted/Makefile
  1.24      +0 -3      ports/devel/py-twisted/distinfo
  1.27      +0 -1657   ports/devel/py-twisted/pkg-plist
  1.14      +7 -15     ports/devel/py-twistedCore/Makefile
  1.8       +3 -3      ports/devel/py-twistedCore/distinfo
  1.7       +177 -53   ports/devel/py-twistedCore/pkg-plist
  1.5       +3 -12     ports/devel/py-twistedFlow/Makefile
  1.3       +3 -3      ports/devel/py-twistedFlow/distinfo
  1.3       +41 -41    ports/devel/py-twistedFlow/pkg-plist
  1.5       +2 -6      ports/devel/py-twistedRunner/Makefile
  1.4       +3 -3      ports/devel/py-twistedRunner/distinfo
  1.3       +24 -24    ports/devel/py-twistedRunner/pkg-plist
  1.7       +3 -3      ports/dns/py-twistedNames/Makefile
  1.6       +3 -3      ports/dns/py-twistedNames/distinfo
  1.4       +3 -0      ports/dns/py-twistedNames/pkg-plist
  1.7       +3 -3      ports/mail/py-twistedMail/Makefile
  1.6       +3 -3      ports/mail/py-twistedMail/distinfo
  1.5       +4 -1      ports/mail/py-twistedMail/pkg-plist
  1.8       +2 -2      ports/net-im/py-twistedWords/Makefile
  1.6       +3 -3      ports/net-im/py-twistedWords/distinfo
  1.5       +9 -0      ports/net-im/py-twistedWords/pkg-plist
  1.5       +3 -12     ports/net/py-twistedPair/Makefile
  1.3       +3 -3      ports/net/py-twistedPair/distinfo
  1.3       +35 -35    ports/net/py-twistedPair/pkg-plist
  1.6       +2 -2      ports/news/py-twistedNews/Makefile
  1.5       +3 -3      ports/news/py-twistedNews/distinfo
  1.7       +3 -3      ports/security/py-twistedConch/Makefile
  1.6       +3 -3      ports/security/py-twistedConch/distinfo
  1.5       +34 -0     ports/security/py-twistedConch/pkg-plist
  1.6       +2 -2      ports/textproc/py-twistedLore/Makefile
  1.5       +3 -3      ports/textproc/py-twistedLore/distinfo
  1.4       +3 -1      ports/textproc/py-twistedLore/pkg-plist
  1.6       +3 -3      ports/www/py-twistedWeb/Makefile
  1.5       +3 -3      ports/www/py-twistedWeb/distinfo
  1.4       +37 -0     ports/www/py-twistedWeb/pkg-plist
  1.6       +4 -4      ports/www/py-twistedWeb2/Makefile
  1.4       +3 -3      ports/www/py-twistedWeb2/distinfo
  1.4       +13 -153   ports/www/py-twistedWeb2/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 8 Li-Wen Hsu freebsd_committer 2009-01-31 09:55:16 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!